Altimax\Apidae\Core\Entity\SitraLog:
    type: entity
    table: sitra_log
    indexes:
        timestamp:
            columns:
                - timestamp
        priority:
            columns:
                - priority
    id:
        id:
            type: integer
            nullable: false
            unsigned: true
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        timestamp:
            type: integer
            nullable: true
            unsigned: true
            comment: ''
        priorityName:
            type: string
            nullable: true
            length: 50
            fixed: false
            comment: ''
            column: priority_name
        priority:
            type: integer
            nullable: true
            unsigned: false
            comment: ''
        message:
            type: text
            nullable: true
            length: null
            fixed: false
            comment: ''
        type:
            type: string
            nullable: true
            length: 50
            fixed: false
            comment: ''
        errorCode:
            type: integer
            nullable: true
            unsigned: false
            comment: ''
            column: error_code
        exceptionClass:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: ''
            column: exception_class
        filePath:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: ''
            column: file_path
        line:
            type: integer
            nullable: true
            unsigned: true
            comment: ''
        calledFunction:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: ''
            column: called_function
        trace:
            type: text
            nullable: true
            length: null
            fixed: false
            comment: ''
        ipAddress:
            type: string
            nullable: true
            length: 40
            fixed: false
            comment: ''
            column: ip_address
        requestId:
            type: string
            nullable: true
            length: 32
            fixed: false
            comment: ''
            column: request_id
        extra:
            type: text
            nullable: true
            length: null
            fixed: false
            comment: ''
    lifecycleCallbacks: {  }
